Just got Cubase AI 7 with my THR10 but cannot install on Mac

I just bought a Yamaha THR10 amp and with comes a “full”(?) version of Cubase AI on a DVD
I even have an access code for registration.

However when I tried to install I get a message "You need at least Mac OS X 10.6.0 to install this software.

Well, I have Mac OS X 10.10 which is higher, so, what gives?

I also noticed that the DVD actually contains Cubase “LE” AI Elements 7, so I assume this is a “light” version, not the “full” version as mentioned in the info sheet containing the registration code.

How do I proceed?
Screen Shot 2015-05-08 at 3.53.39 pm.png

hi did you get this resolved? I have the same problem when trying to install cubase AI 6. tells me “You need at least Mac OS X 10.5.0 to install this software” but I’m running El Capitan 10.11.4.

Cheers

Paul